import train.Train;
import train.car.*;
import train.locomotive.ElectricLocomotive;

/**
 * Testklasse fr das Package train.
 * 
 * @author Owyn
 * @version 2008-06-17
 */
public class TrainTest {
    
    public static void test() {
        Train t1 = new Train(new ElectricLocomotive(3672, 40));
        t1.add(new Car(34, 50, 1));
        t1.add(new DiningCar(20, 40, 3));
        t1.add(new Car(54, 60, 4));
        t1.add(new SleepingCar(25, 50, 7));
        
        System.out.println(t1); // toString() wird automatisch aufgerufen
        System.out.println("Laenge:     " + t1.getLength() + " Meter");
        System.out.println("Kapazitaet: " + t1.getCapacity() + " Passagiere");
    }
    
}
